[arch-commits] Commit in luxrays/trunk (PKGBUILD force_python3.diff)

Lukas Jirkovsky stativ at archlinux.org
Sun Feb 15 22:05:20 UTC 2015


    Date: Sunday, February 15, 2015 @ 23:05:20
  Author: stativ
Revision: 127763

upgpkg: luxrays 1.4-1

some changes to pyluxcore handling

Added:
  luxrays/trunk/force_python3.diff
Modified:
  luxrays/trunk/PKGBUILD

--------------------+
 PKGBUILD           |   16 ++++++++++++++--
 force_python3.diff |   12 ++++++++++++
 2 files changed, 26 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2015-02-15 21:17:50 UTC (rev 127762)
+++ PKGBUILD	2015-02-15 22:05:20 UTC (rev 127763)
@@ -16,9 +16,17 @@
             'glew: demos (SmallLuxGPU etc.)' 'freeglut: demos (SmallLuxGPU etc.)' \
             'boost-libs: demos (SmallLuxGPU etc.)')
 options=('staticlibs')
-source=(https://bitbucket.org/luxrender/luxrays/get/${_pkgver}.tar.bz2)
-md5sums=('2dda3316fb2ae9be6e58b5fa3a35de62')
+source=(https://bitbucket.org/luxrender/luxrays/get/${_pkgver}.tar.bz2 \
+        force_python3.diff)
+md5sums=('2dda3316fb2ae9be6e58b5fa3a35de62'
+         '3bfb5594a709d1ea772866d66904b8fd')
 
+prepare() {
+  cd "$srcdir"/luxrender-luxrays-$_pkgver
+
+  patch -Np1 < "$srcdir/force_python3.diff" || true
+}
+
 build() {
   cd "$srcdir/luxrender-luxrays-$_pkgver"
 
@@ -36,6 +44,10 @@
   install -m755 bin/* "$pkgdir"/usr/bin
   install -m644 lib/* "$pkgdir"/usr/lib
   cp -a include "$pkgdir"/usr
+
+  # install pyluxcore to the Python search path
+  install -d -m755 "$pkgdir"/usr/lib/python3.4/
+  mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.4/
 }
 
 # vim:set ts=2 sw=2 et:

Added: force_python3.diff
===================================================================
--- force_python3.diff	                        (rev 0)
+++ force_python3.diff	2015-02-15 22:05:20 UTC (rev 127763)
@@ -0,0 +1,12 @@
+diff -rup luxrender-luxrays-7c7127ee1fa4/cmake/Dependencies.cmake luxrender-luxrays-7c7127ee1fa4.new/cmake/Dependencies.cmake
+--- luxrender-luxrays-7c7127ee1fa4/cmake/Dependencies.cmake	2015-01-20 23:45:32.000000000 +0100
++++ luxrender-luxrays-7c7127ee1fa4.new/cmake/Dependencies.cmake	2015-02-15 22:19:40.775351414 +0100
+@@ -58,7 +58,7 @@ set(Boost_MINIMUM_VERSION       "1.44.0"
+ 
+ set(Boost_ADDITIONAL_VERSIONS "1.47.0" "1.46.1" "1.46" "1.46.0" "1.45" "1.45.0" "1.44" "1.44.0")
+ 
+-set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python)
++set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python3)
+ find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS ${LUXRAYS_BOOST_COMPONENTS})
+ if (NOT Boost_FOUND)
+         # Try again with the other type of libs



More information about the arch-commits mailing list